import { Company, ContestInfo, SimpleProblemInfoInContest, Uris } from "../utils/interfaces";
declare class Contest {
    readonly slug: string;
    contest?: ContestInfo | undefined;
    questions?: SimpleProblemInfoInContest[] | undefined;
    user_num?: number | undefined;
    has_chosen_contact?: boolean | undefined;
    company?: Company | undefined;
    registered?: boolean | undefined;
    containsPremium?: boolean | undefined;
    static uris: Uris;
    static setUris(uris: Uris): void;
    static getWeeklyContestSlug(id: number): string;
    static getBiweeklyContestSlug(id: number): string;
    constructor(slug: string, contest?: ContestInfo | undefined, questions?: SimpleProblemInfoInContest[] | undefined, user_num?: number | undefined, has_chosen_contact?: boolean | undefined, company?: Company | undefined, registered?: boolean | undefined, containsPremium?: boolean | undefined);
    detail(): Promise<Contest>;
}
export default Contest;
